<!DOCTYPE html>
<head>
<meta charset="UTF-8" />
<title>jQuery Form Validations</title>
<link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">
<link rel="stylesheet" href="css/validationEngine.jquery.css" />
<style>
	table {margin-left:10%;}
	td {padding:2px;}
</style>
</head>
<body>
<form id="popup-validation">
<table border="0" cellspacing="5" cellpadding="5">
<caption><h3 align="center">jQuery Form Validation</h3></caption
<tr>
    <td>Required</td>
    <td><input type="text" class="validate[required] form-control" name="req" id="req"></td>
</tr>
<tr>
    <td>Select</td>
    <td>
        <select name="sport" id="sport" class="validate[required] form-control">
            <option value="">Choose a sport</option>
            <option value="option1">Tennis</option>
            <option value="option2">Football</option>
            <option value="option3">Golf</option>
        </select>
    </td>
</tr>

<tr>
    <td>Url</td>
    <td><input value="http://" class="validate[required,custom[url]] form-control" type="text"
        name="url1" id="url1" /></td>
</tr>
<tr>
    <td>E-mail</td>
    <td><input class="validate[required,custom[email]] form-control" type="text" name="email1" id="email1" /></td>
</tr>
<tr>
    <td>Password</td>
    <td><input class="validate[required] form-control" type="password" name="pass1" id="pass1" /></td>
</tr>
<tr>
    <td>Confirm Password</td>
    <td><input class="validate[required,equals[pass1]] form-control" type="password" name="pass2" id="pass2" /></td>
</tr>
<tr>
    <td>Minimum field size (6)</td>
    <td><input value="" class="validate[required,minSize[6]] form-control" type="text" name="minsize1" id="minsize1" /></td>
</tr>
<tr>
    <td>Maximum field size, optional</td>
    <td><input value="0123456789" class="validate[optional,maxSize[6]] form-control" type="text" name="maxsize1" id="maxsize1" />
    <span class="help-block">note that the field is optional - it won't fail if it has no value</span></td>
</tr>
<tr>
    <td>Number</td>
    <td><input value="-33.87a" class="validate[required,custom[number]] form-control" type="text" name="numbe2r" id="number2" />
    <span class="help-block">a signed floating number, ie: -3849.354, 38.00, 38, .77</span></td>
</tr>
<tr>
    <td>IP</td>
    <td><input value="192.168.3." class="validate[required,custom[ipv4]] form-control" type="text"name="ip" id="ip" /></td>
</tr>
<tr>
    <td>Date</td>
    <td><input value="201-12-01" class="validate[required,custom[date]] form-control" type="text"name="date3" id="date3" />
    <span class="help-block">ISO 8601 dates only YYYY-mm-dd</span></td>
</tr>
<tr>
    <td>Date Earlier</td>
    <td><input value="2012/12/16" class="validate[custom[date],past[2012/09/13]] form-control" type="text" name="past" id="past" />
    <span class="help-block">Please enter a date ealier than 2012/09/13</span></td>
</tr>
<tr>
    <td></td>
    <td><input type="submit" value=" Click To Validate" /></td>
</tr>
</table>
</form>

<!-- GLOBAL SCRIPTS -->
<script src="js/jquery-2.0.3.min.js"></script>
<!-- PAGE LEVEL SCRIPTS -->
<script src="js/jquery.validationEngine.js"></script>
<script src="js/languages/jquery.validationEngine-en.js"></script>
<script src="js/jquery.validate.min.js"></script>
<script src="js/validationInit.js"></script>
<script>
	$(function () { formValidation(); });
</script>
     
</body>
</html>
